Subject: Re: I-D Action: draft-nottingham-discussion-recharter-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Tue, 18 Aug 2020 14:46:57 +1200

>  This document updates RFC3005, the charter of the IETF discussion
>    list.

Then its intended status needs to be BCP.

>    Comparing its membership to a sample of other IETF mailing lists, we
>    find that there are typically many members that are not taking part
>    on the IETF discussion list:

People specialise. The intersection count given (628) is therefore not a
useful statistic. The intersection with the union of all WG mailing lists
would be useful. But for now, we simply do not know how many subscribers
to at least one WG are missing from the ietf list, and we do not know how
many subscribers to ietf are subscribed to no WG list. Those numbers could
be discovered, of course.

If I had to guess, I'd use ietf-announce as a proxy for active participation,
and that would suggest that at (most) 1799/3037 = 59% of active participants
were on the ietf list at the end of July. That imperfect measurement is a
good deal higher than the estimates in the draft.

As I said earlier, there is evidence that only a small fraction (10%?) of
the ietf list is interested enough in policy/process/admin to subscribe to
lists on those topics. So using my imperfect measurement above, we find that
at a generous estimate, 6% of IETF participants care about policy/process/admin.

>   2.  The IESG should not consider the IETF discussion list as an
>        appropriate venue for notifying IETF participants of its actions
>        or items under consideration. 

That's not new. The formal channel has been ietf-announce (which is not a
discussion list) for 20+ years. True, the IESG sometimes puts the ietf list
in Cc:, but since ietf-announce is not a discussion list, that's a natural
thing to do. Thus:

>   More suitable channels include the
>        IETF Announcements list and the GENDISPATCH Working Group,
>        depending on the notification.

is standard operating procedure.

> 
>    3.  The IESG should not consider the IETF discussion list as
>        representative of the broader IETF community.

Then where can the IESG go for that? (Of course, when something reaches
a formal Last Call, we know the answer, but that is the very last stage
in discussing a topic).

>    4.  IETF participants who wish to make proposals about or discuss the
>        IETF's direction, policy, meetings and procedures should do so in
>        GENDISPATCH or other Working Group, if one more specific to that
>        topic should exist.

Here's where it gets tricky. That is indeed what should happen as a
proposal crystallizes. But is the draft really saying that the plenary
discussion list shouldn't be used for the early rounds of discussion of
an IETF-wide topic? That such topics should be discussed *from the start
to finish* by the self-selected 6% or fewer of participants who are process
wonks? That the rest of the IETF will only hear about it when a Last Call
comes out?

That sounds like mushroom management to me.

>    5.  IETF participants who wish to make proposals about or discuss
>        technical issues should do so in the most appropriate Working
>        Group or Area mailing list to the topic

That's mainly what people do. Just occasionally somebody (usually not
a regular participant) sends a technical query to the ietf list, and
usually gets politely redirected. I think it's great when that happens.

>    7.  There should be no explicit or implicit requirement for IETF
>        leadership or any other person to be subscribed to the IETF
>        discussion list.

I absolutely utterly violently disagree. I must confess that the day
I stepped down from the IAB, I dropped the ietf list, but after a year
or so I realised that just wasn't viable unless I only wanted to work
in my own tiny corner of the protocol stack, and I rejoined. (There is
a handy delete button in my MUA, which I have always used very freely on
[email-masked] threads.)

It isn't acceptable to me that IAB or IESG members would *not* keep an
eye on the list.

In summary, I think the proposed changes would change the list from
being mainly useful but sometimes toxic, to being mainly toxic and rarely
useful.

Regards
   Brian Carpenter

On 17-Aug-20 13:00, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>         Title           : Rechartering the IETF Discussion List
>         Author          : Mark Nottingham
> 	Filename        : draft-nottingham-discussion-recharter-00.txt
> 	Pages           : 7
> 	Date            : 2020-08-16
> 
> Abstract:
>    This document updates RFC3005, the charter of the IETF discussion
>    list.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-nottingham-discussion-recharter/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-nottingham-discussion-recharter-00
> https://datatracker.ietf.org/doc/html/draft-nottingham-discussion-recharter-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: Jay Daley <[email-masked]>
Date: Tue, 18 Aug 2020 15:10:00 +1200

Brian

> On 18/08/2020, at 2:46 PM, Brian E Carpenter <[email-masked]> wrote:
> 

I am in the process of determining data like this for a number of reasons and so I can give you some interim results now.  

First the disclaimer:

* I’m relying on mailman storing email addresses consistently and I have not completely checked that it does
* I am counting address with different +box notation as a single subscriber
* Addresses that have been disabled by bounce processing are counted the same as those that are not (one of the main reasons these are only interim results)
* This data is from three weeks ago and will have changed since then

With that in mind, the interim results are:

1. The membership of ietf@ was 1796 distinct subscribers 

2. There were 55,894 distinct email addresses subscribed to mailing lists that allow open subscription

3. 123 subscribers to ietf@ did not subscribe to any other list

> good deal higher than the estimates in the draft.

4. Three weeks ago the membership of ietf-announce was 3038

5. 800 were subscribed to ietf-announce@ and no other list

6. 1087 were subscribed to ietf@ but not ietf-announce@

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Jay Daley <[email-masked]>
Date: Tue, 18 Aug 2020 15:13:56 +1200

One more thing ...

> * Addresses that have been disabled by bounce processing are counted the same as those that are not (one of the main reasons these are only interim results)

A quick scan of the mailman membership page for this list shows approx 158 disabled addresses, so around 9% of the total.  I don’t know how representative that is across all lists.

Jay

>> [email-masked] <mailto:[email-masked]> threads.)
>> 
>> On 17-Aug-20 13:00, [email-masked] <mailto:[email-masked]> wrote:
>>> 
>>> https://datatracker.ietf.org/doc/draft-nottingham-discussion-recharter/ <https://datatracker.ietf.org/doc/draft-nottingham-discussion-recharter/>
>>> 
> [email-masked] <mailto:[email-masked]>
-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: tom petch <[email-masked]>
Date: Tue, 18 Aug 2020 09:39:57 +0100

Jay

Another wrinkle, that may or may not be significant, is the use of 
multiple addresses to subscribe to different lists, as I do; that is, 
totally different addresses that would appear to have nothing in common 
unless you can divine the semantics behind the choice of address.  In 
particular, the address I use here is not the one I use for i-d-announce 
nor is it the one I use for the WG in which I am most active so that 
when I come back from time out, I can prioritise what I see.  I use a 
different display name for each, not so that people like you cannot 
correlate my activity(:-) but as a reminder to myself where something 
came from.

Tom Petch

---

From: Robert Sparks <[email-masked]>
Date: Tue, 18 Aug 2020 09:40:57 -0500

Another small thing to remember while trying to see the rough shape of 
things:

We have a growing set of users that have stopped subscribing to lists in 
mailman. They use imap to read the lists they are interested in. Being 
in the global_whitelist already (yes, I know) lets them post without 
being moderated. I think this set of people is still in the small number 
of 10s. We are working to get reporting tools built into the imap server 
that will let us know for sure.

RjS

On 8/17/20 10:13 PM, Jay Daley wrote:
> One more thing ...
>
>>
>> I am in the process of determining data like this for a number of 
>> reasons and so I can give you some interim results now.
>>
>> First the disclaimer:
>>
>> * Addresses that have been disabled by bounce processing are counted 
>> the same as those that are not (one of the main reasons these are 
>> only interim results)
>
> A quick scan of the mailman membership page for this list shows approx 
> 158 disabled addresses, so around 9% of the total.  I don’t know how 
> representative that is across all lists.
>
> Jay
>
>>> [email-masked] <mailto:[email-masked]>threads.)
>>>
>>> On 17-Aug-20 13:00,[email-masked] 
>>> <mailto:[email-masked]>wrote:
>>>>